## [Book recommendations for multivariate analysis](http://stats.stackexchange.com/questions/2181/book-recommendations-for-multivariate-analysis)

Off the top of my head, I would say that the following general purpose books are rather interesting as a first start:

* Izenman, J. [Modern Multivariate Statistical Techniques: Regression, Classification, and Manifold Learning][1]. Springer. [companion website][2]
* Tinsley, H. and Brown, S. (2000). [Handbook of Applied Multivariate Statistics and Mathematical Modeling][3]. Academic Press.

There is also many applied textbook, like

* Everitt, B.S. (2005). [An R and S-Plus® Companion to Multivariate Analysis][4]. Springer. [companion website][5]

It is difficult to suggest you specific books as there are many ones that are domain-specific (e.g. social sciences, machine learning, categorical data, biomedical data).

  [1]: http://www.springer.com/statistics/statistical+theory+and+methods/book/978-0-387-78188-4
  [2]: http://astro.temple.edu/~alan/MMST/
  [3]: http://www.sciencedirect.com/science/book/9780126913606
  [4]: http://www.springer.com/statistics/social+sciences+%26+law/book/978-1-85233-882-4
  [5]: http://biostatistics.iop.kcl.ac.uk/publications/everitt/
