## [What is a consistency check?](http://stats.stackexchange.com/questions/2768/what-is-a-consistency-check)

I suppose this has to do with some form of Quality Control about *data integrity*, and more specifically that you regularly check that your working database isn't corrupted (due to error during transfer, copy, or after an update or a sanity check). This may also mean ensuring that your intermediate computation are double-checked (either manually or through additional code or macros in your statistical software).

Other information may be found here: the ICH E6 (R1) reference guide about [Guideline for Good Clinical Practice][1] from the EMEA, [Guidelines on Good Clinical Laboratory Practice][2], or [Clinical Research Study Investigator's Toolbox][3].


  [1]: http://www.ema.europa.eu/docs/en_GB/document_library/Scientific_guideline/2009/09/WC500002874.pdf
  [2]: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2213906/
  [3]: http://www.nia.nih.gov/ResearchInformation/CTtoolbox/
