## [Principal Component Analysis among matrices](http://stats.stackexchange.com/questions/4286/principal-component-analysis-among-matrices)

I don't know if this is exactly what you are looking for (esp. I don't know how large is $n$ and what you intend to do with these results), however I have successfully used [coinertia analysis][1] when I was working with two data sets (same observations in rows), and for more than two data sets there are K-table methods, as implemented in the [ade4][2] R package. [An introduction to K-table analyses][3] outlines the main principles. When the objective is to link two or more Tables, [Generalized Canonical Correlation Analysis][4] is also an option.

It seems to me that you can choose non-euclidean metric, provided it has some meaning for the data at hand and the interpretation of the factorial space. You can see an example with the use of `kdist()` in [ade4][5] for applying an PCA on different distance matrices. Jollife's book on *Principal component analysis* should provide additional hints about this (but I didn't check). There's also all the work made in the spirit of Gifi on non-linear methods (in R, a lot of packages have been developed by Jan de Leeuw, see the [PsychoR][6] project).


  [1]: http://pbil.univ-lyon1.fr/R/articles/arti113.pdf
  [2]: http://cran.r-project.org/web/packages/ade4/index.html
  [3]: http://pbil.univ-lyon1.fr/R/pdf/course7.pdf
  [4]: http://en.wikipedia.org/wiki/Generalized_canonical_correlation
  [5]: http://cran.r-project.org/web/packages/ade4/index.html
  [6]: https://r-forge.r-project.org/projects/psychor/
