## [What is a good use of the 'comment' function in R?](http://stats.stackexchange.com/questions/4335/what-is-a-good-use-of-the-comment-function-in-r)

To second @ucfagls, Frank Harrell has developed efficient ways to handle annotated data.frame in R in his [Hmisc][1] package. For example, the `label()` and `units()` functions allow to add dedicated attributes to R objects. I find them very handy when producing summary of data.frame (e.g., with `describe()`).

Another useful way of using such an extra attribute is to apply a timestamp on a data set. I also add an attribute for things like random seed, fold number (when I use k-kold or LOO cross-validation).

  [1]: http://cran.r-project.org/web/packages/Hmisc/index.html
