## [What tool do you use to communicate your survey questionnaires?](http://stats.stackexchange.com/questions/4454/what-tool-do-you-use-to-communicate-your-survey-questionnaires)

A combination of Perl + CGI is generally interesting for small surveys/questionnaires (because I hate PHP + MySQL). A gentle introduction can be found in [How to Conduct Behavioral Research over the Internet: A Beginner's Guide to Html and Cgi/Perl][1].

Now, I think that Ruby and Rails should provide very handy tools for that particular purpose. I can think of [surveyor][2], for example. I'm quite sure there are similar tools in Python.

As for an all-in-one system (no need to program anything, multiple and linked form available, automatic mailing, etc.), there's [Lime Survey][3].

For off-line questionnaires, I would prefer $\LaTeX$ or Docbook.


  [1]: http://www.web-research-design.net/
  [2]: https://github.com/breakpointer/surveyor
  [3]: http://www.limesurvey.org/
