## [How to do weighted pair hierarchical clustering in R?](http://stats.stackexchange.com/questions/4694/how-to-do-weighted-pair-hierarchical-clustering-in-r)

About your first question, it seems that the `mcquitty` option corresponds to WPGMA clustering, while `average` is for UPGMA. It is just by looking at the [source code][1], so it is worth to double check it. But it also referred as is in the `upgma()` function from the [phangorn][2] package.

About your second question, I think you just have to subset your genes by the group labels found after `cutree`, and then plot expression profiles as usual.

  [1]: http://svn.r-project.org/R/trunk/src/library/stats/R/hclust.R
  [2]: http://cran.r-project.org/web/packages/phangorn/
