## [MCMC method — good sources](http://stats.stackexchange.com/questions/5885/mcmc-method-good-sources)

For online tutorials, there are

* [A tutorial in MCMC][1], by Sahut (2000)
* [Tutorial on Markov Chain Monte Carlo][2], by Hanson (2000)
* [Markov Chain Monte Carlo for Computer Vision][3], by Zhu et al. (2005)
* [Introduction to Markov Chain Monte Carlo simulations and their statistical analysis][4], by Berg (2004).

[Practical Markov Chain Monte Carlo][5], by Geyer (*Stat. Science*, 1992), is also a good starting point, and you can look at the [MCMCpack][6] or [mcmc][7] R packages for illustrations.


  [1]: http://www.soton.ac.uk/~sks/utrecht/
  [2]: http://kmh-lanl.hansonhub.com/talks/maxent00b.pdf
  [3]: http://civs.ucla.edu/old/MCMC/MCMC_tutorial.htm
  [4]: http://www.worldscibooks.com/etextbook/5904/5904_intro.pdf
  [5]: http://projecteuclid.org/DPubS?service=UI&version=1.0&verb=Display&handle=euclid.ss/1177011137
  [6]: http://cran.r-project.org/web/packages/MCMCpack/index.html
  [7]: http://cran.r-project.org/web/packages/mcmc/
