## [What software is used for maps of the US (or other arbitrary areas)](http://stats.stackexchange.com/questions/6463/what-software-is-used-for-maps-of-the-us-or-other-arbitrary-areas)

In addition to the package that @robin pointed too, you should look at the [Spatial][1] Task View on CRAN. What you are describing is known as a [choropleth map][2], as illustrated here: [Choropleth Maps of Presidential Voting][3], or [U.S. Unemployment Data: Animated Choropleth Maps][4].

In R, they can be handled using 

* the base graphics routines (with [maps][5]),
* the lattice way (see `mapplot()` in [latticeExtra][6]),
* the ggplot2 way (see e.g., [Choropleth Challenge Results][7] for example code).

Other softwares that allow to deal with geographical maps include [Mondrian][8], [Quantum GIS][9] (and I guess many other GIS programs), but data format may vary from one software to the other.


  [1]: http://cran.r-project.org/web/views/Spatial.html
  [2]: http://en.wikipedia.org/wiki/Choropleth_map
  [3]: http://www.r-bloggers.com/choropleth-maps-of-presidential-voting/
  [4]: http://www.r-bloggers.com/u-s-unemployment-data-animated-choropleth-maps/
  [5]: http://cran.r-project.org/web/packages/maps/index.html
  [6]: http://cran.r-project.org/web/packages/latticeExtra/index.html
  [7]: http://blog.revolutionanalytics.com/2009/11/choropleth-challenge-result.html
  [8]: http://rosuda.org/mondrian/Mondrian.html
  [9]: http://www.qgis.org/
