## [Examples of studies using p < 0.001, p < 0.0001 or even lower p-values?](http://stats.stackexchange.com/questions/8590/examples-of-studies-using-p-0-001-p-0-0001-or-even-lower-p-values)

My opinion is that it does (and should) not depend on the field of study. For example, you may well work at a lower significance level than $p<0.001$ if, for example, you are trying to replicate a study with historical or well-established results (I can think of several studies on the [Stroop effect][1], which had led to some controversies in the past few years). That amounts to consider a lower "threshold" within the classical Neyman-Pearson framework for testing hypothesis. However, statistical and practical (or substantive) significance is another matter.

**Sidenote**.
The "star system" seems to have dominated scientific inquiries as early as the 70's, but see The Earth Is Round (p < .05), by J. Cohen (*American Psychologist*, 1994, 49(12), 997-1003), despite the fact that what we often want to know is given the data I have observed, what is the probability that $H_0$ is true? Anyway, there's also a nice discussion on "[Why P=0.05?][2]", by Jerry Dallal.


  [1]: http://en.wikipedia.org/wiki/Stroop_effect
  [2]: http://www.jerrydallal.com/LHSP/p05.htm
