## [How can I calculate the autocorrelation of a signal in Mathematica environment?](http://stats.stackexchange.com/questions/9854/how-can-i-calculate-the-autocorrelation-of-a-signal-in-mathematica-environment)

It's been a long since I didn't play with Mathematica, and I just had a quick look on Google, but can't you just use (here with some fake data)

    x = Table[Sin[x] + 0.2 RandomReal[], {x, -4, 4, .1}];
    ListPlot[x, DataRange -> {-4, 4}]

![enter image description here][1]

the function [ListCorrelate][2]?

    acf = ListCorrelate[x, x, {1, 1}, 0]
    ListPlot[acf, Filling -> Axis]

![enter image description here][3]


  [1]: http://i.imgur.com/ckN4G.png
  [2]: http://reference.wolfram.com/mathematica/ref/ListCorrelate.html
  [3]: http://i.imgur.com/bzHkD.png
