## [2D artificial data of different distributions and forms, existing datasets or generation code](http://stats.stackexchange.com/questions/23136/2d-artificial-data-of-different-distributions-and-forms-existing-datasets-or-ge)

[R](http://www.R-project.org/) comes with a lot of datasets, and it looks like it would not be a big deal to reproduce most of the examples you cited with few lines of code. You may also find the [mlbench][1] package useful, in particular synthetic datasets starting with `mlbench.*`. Some illustrations are given below.

![enter image description here][2]

You will find additional examples by looking at the [Cluster][3] Task View on CRAN. For example, the [fpc][4] package has a built-in generator for "face-shaped" clustered benchmark datasets (`rFace`).  

![enter image description here][5]

Similar considerations apply to Python, where you will find interesting benchmark tests and datasets for clustering with the [scikit-learn][6].

The UCI Machine Learning Repository hosts a [lot of datasets](http://archive.ics.uci.edu/ml/datasets.html) as well, but you're better off simulating data yourself with the language of your choice.
 


  [1]: http://cran.r-project.org/web/packages/mlbench/index.html
  [2]: http://i.stack.imgur.com/HW3hH.png
  [3]: http://cran.r-project.org/web/views/Cluster.html
  [4]: http://cran.r-project.org/web/packages/fpc/index.html
  [5]: http://i.stack.imgur.com/AnIex.png
  [6]: http://scikit-learn.org/stable/modules/clustering.html
