## [Area Under Curve (AUC) - given peak mean and standard deviation (SD)](http://stats.stackexchange.com/questions/2262/area-under-curve-auc-given-peak-mean-and-standard-deviation-sd)

Given how your plot looks like, I would suggest rather to fit a mixture of gaussians and get their respective densities. Look at the [mclust][1] package; basically this is refered to model-based clustering (you are seeking groups of points belonging to a given distribution, that is to be estimated, whose location parameter -- but also shape -- varies along a common dimension). A full explanation of MClust is available [here][2].

It seems the [delt][3] package offers an alternative way to fit 1D data with a mixture of gaussians, but I didn't get into details. 

Anyway, I think this is the best way to get automatic estimates and avoid cutting your x-scale at arbitrary locations.


  [1]: http://cran.r-project.org/web/packages/mclust/index.html
  [2]: http://www.google.fr/url?sa=t&source=web&cd=5&ved=0CD0QFjAE&url=http%3A%2F%2Fciteseerx.ist.psu.edu%2Fviewdoc%2Fdownload%3Fdoi%3D10.1.1.156.6814%26rep%3Drep1%26type%3Dpdf&rct=j&q=Mclust%201D%20mixture%20of%20gaussian&ei=Cl1-TI_YAovOswb3zIiUCQ&usg=AFQjCNHRwRIYnWEvDbdMqBj6s2LmpCSouw&sig2=gkbsyHKQMi9KiontFQ0E1g
  [3]: http://cran.r-project.org/web/packages/delt/index.html
