## [How to project a vector onto matrix of rotation in PCA](http://stats.stackexchange.com/questions/2592/how-to-project-a-vector-onto-matrix-of-rotation-in-pca)

Well, @Srikant already gave you the right answer since the rotation (or loadings) matrix contains eigenvectors arranged column-wise, so that you just have to multiply (using `%*%`) your vector or matrix of new data with e.g. `prcomp(X)$rotation`. Be careful, however, with any extra centering or scaling parameters that were applied when computing PCA EVs.

In R, you may also find useful the `predict()` function, see `?predict.prcomp`. BTW, you can check how projection of new data is implemented by simply entering:

    getS3method("predict", "prcomp")
