## [Reference or book on simulation of experimental design data in R](http://stats.stackexchange.com/questions/10532/reference-or-book-on-simulation-of-experimental-design-data-in-r)

*Statistical models in S*, by Chambers and Hastie (Chapmann and Hall, 1991; or the so-called *White Book*), and to a lesser extent *Modern Applied Statistics with S*, by Venables and Ripley (Springer, 2002, 4th ed.), include some material about DoE and the analysis of common designs in S and R. Vikneswaran wrote [An R companion to "Experimental Design"][1], although it is not very complete (IMHO), but there are a lot other textbooks in the [Contributed][2] section on CRAN that might help you get started.

Apart from textbook, the CRAN Task View on [Design of Experiments (DoE) & Analysis of Experimental Data][3] has some good packages that ease the creation and analysis of various experimental designs; I can think of [dae][4], [agricolae][5], or [AlgDesign][6] (which comes with a nice [vignette][7]), to name a few.


  [1]: http://cran.r-project.org/doc/contrib/Vikneswaran-ED_companion.pdf
  [2]: http://cran.r-project.org/other-docs.html
  [3]: http://cran.r-project.org/web/views/ExperimentalDesign.html
  [4]: http://cran.r-project.org/web/packages/dae/index.html
  [5]: http://cran.r-project.org/web/packages/agricolae/index.html
  [6]: http://cran.r-project.org/web/packages/AlgDesign/index.html
  [7]: http://cran.r-project.org/web/packages/AlgDesign/vignettes/AlgDesign.pdf
