## [Using an SVM for feature selection](http://stats.stackexchange.com/questions/10676/using-an-svm-for-feature-selection)

As I understand them, SVMs have built-in *regularization* because they tend to penalize large weights of predictors which amounts to favor simpler models. They're often used with [recursive feature elimination][1] (in neuroimaging paradigms, at least).

About R specifically, there's the [kernlab][2] package, by [Alex Smola][3] who co-authored *Learning with Kernels* (2002, MIT Press), which implements SVM (in addition to [e1071][4]). However, if you are after a dedicated framework, I would warmly recommend the [caret][5] package.


  [1]: http://www.brainvoyager.com/bvqx/doc/UsersGuide/WebHelp/Content/MVPATools/Recursive_Feature_Elimination.htm
  [2]: http://cran.r-project.org/web/packages/kernlab/index.html
  [3]: http://alex.smola.org/
  [4]: http://cran.r-project.org/web/packages/e1071/index.html
  [5]: http://caret.r-forge.r-project.org/Classification_and_Regression_Training.html
