## [Organizing a classification tree (in rpart) into a set of rules?](http://stats.stackexchange.com/questions/12046/organizing-a-classification-tree-in-rpart-into-a-set-of-rules)

Such a functionality (or a close one) seems to be available in the [rattle][1] package, as described in [RJournal 1/2 2009][2] (p. 50), although I only checked it from the command-line. 

For your example, it yields the following output:

     Rule number: 3 [Kyphosis=present cover=19 (23%) prob=0.58]
       Start< 8.5
    
     Rule number: 23 [Kyphosis=present cover=7 (9%) prob=0.57]
       Start>=8.5
       Start< 14.5
       Age>=55
       Age< 111
    
     Rule number: 22 [Kyphosis=absent cover=14 (17%) prob=0.14]
       Start>=8.5
       Start< 14.5
       Age>=55
       Age>=111
    
     Rule number: 10 [Kyphosis=absent cover=12 (15%) prob=0.00]
       Start>=8.5
       Start< 14.5
       Age< 55
    
     Rule number: 4 [Kyphosis=absent cover=29 (36%) prob=0.00]
       Start>=8.5
       Start>=14.5

To get this output, I source the `rattle/R/rpart.R` source file (from the source package) in my workspace, after having removed the two calls to `Rtxt()` in the `asRules.rpart()` function (you can also replace it with `print`). Then, I just type 

    > asRules(fit)

  [1]: http://cran.r-project.org/web/packages/rattle/index.html
  [2]: http://journal.r-project.org/archive/2009-2/RJournal_2009-2_Williams.pdf
