## [How to conduct conditional Cox regression for matched case-control study?](http://stats.stackexchange.com/questions/2748/how-to-conduct-conditional-cox-regression-for-matched-case-control-study)

If you are using Stata, you can just look at the `stcox` command. Examples are available from [Stata][1] or [UCLA][2] website.
Also, take a look at [Analysis of matched cohort data][3] from the *Stata Journal* (2004 4(3)).

Under R, you can use the `coxph()` function from the `survival` library.


  [1]: http://www.stata.com/capabilities/survivalsession.html
  [2]: http://www.ats.ucla.edu/stat/stata/topics/survival.htm
  [3]: http://www.stata-journal.com/sjpdf.html?articlenum=st0070
