## [Good text on Clinical Trials?](http://stats.stackexchange.com/questions/2770/good-text-on-clinical-trials)

I would definitively recommend [Design and Analysis of Clinical Trials: Concepts and Methodologies][1] which seems actually the most complete one given your request.

[Statistical Issues in Drug Development][2] also covers a broad range of concepts but is less oriented toward design of experiment. [Statistics Applied to Clinical Trials][3] includes more technical stuff, but mainly focus on crossover trials and applications in epidemiology. And there is always the most famous Rothman, [Modern Epidemiology][4], which provides valuable help for interpretation and examples of application of clinical biostatistics. Finally, T[he Design and Analysis of Clinical Experiments][5] is more centered onto the analysis of specific experimental settings, but it does not address other points and is a bit older.


  [1]: http://books.google.fr/books?id=HXMUEjZ4vyAC&dq=Design+and+Analysis+of+Clinical+Trials:+Concepts+and+Methodologies&printsec=frontcover&source=bn&hl=fr&ei=YQuTTPG-KseLswbt9JH5CQ&sa=X&oi=book_result&ct=result&resnum=4&ved=0CCwQ6AEwAw
  [2]: http://eu.wiley.com/WileyCDA/WileyTitle/productCd-0470018771.html
  [3]: http://books.google.fr/books?id=LEDJ-6bPa8AC&printsec=frontcover&dq=Statistics+Applied+to+Clinical+Trials&source=bl&ots=LwzvnasZuk&sig=OkDTIEnTaaONeDG5Ik1XVOhIeNM&hl=fr&ei=yAiTTNHoN8LEswbg2_D4CQ&sa=X&oi=book_result&ct=result&resnum=2&ved=0CCQQ6AEwAQ
  [4]: http://books.google.fr/books?id=Z3vjT9ALxHUC&dq=rothman+modern+epidemiology&printsec=frontcover&source=bn&hl=fr&ei=MAmTTMF2zcuzBve20fgJ&sa=X&oi=book_result&ct=result&resnum=4&ved=0CDMQ6AEwAw
  [5]: http://eu.wiley.com/WileyCDA/WileyTitle/productCd-0471349917.html
