## [What is your favorite, easy to use statistical analysis website or software package?](http://stats.stackexchange.com/questions/3958/what-is-your-favorite-easy-to-use-statistical-analysis-website-or-software-packa)

Your objectives seem rather vague, but I think the open-source [R statistical package][1] should fit your needs, and beyond. Although primarily a command line driven software, you will find several useful GUIs, e.g. [Rcommander][2] or [deducer][3] to help you start with.

The [CRAN][4] website contains everything you need to start with R, including a lot of [official][5] and [contributed][6] documentation.

R is made of several additional packages (a kind of extensions to the core statistical functions), and you will find interesting pointers on these related questions: [What R packages do you find most useful in your daily work?][7], [I just installed the latest version of R. What packages should I obtain?][8].


  [1]: http://www.R-project.org/
  [2]: http://socserv.mcmaster.ca/jfox/Misc/Rcmdr/
  [3]: http://www.deducer.org/
  [4]: http://cran.r-project.org/
  [5]: http://cran.r-project.org/manuals.html
  [6]: http://cran.r-project.org/other-docs.html
  [7]: http://stats.stackexchange.com/questions/73/what-r-packages-do-you-find-most-useful-in-your-daily-work
  [8]: http://stats.stackexchange.com/questions/1676/i-just-installed-the-latest-version-of-r-what-packages-should-i-obtain
