## [Small sample linear regression: Where to start](http://stats.stackexchange.com/questions/4422/small-sample-linear-regression-where-to-start)

I find @ucfagls's idea most appropriate here, since you have very few observations and a lot of variables. Ridge regression should do its job for prediction purpose.

Another way to analyse the data would be to rely on [PLS regression][1] (in this case, PLS1), which bears some idea with regression on PCA scores but seems more interesting in your case. As multicollinearity might be an issue there, you can look at *sparse* solution (see e.g., the [spls][2] or the [mixOmics][3] R packages).


  [1]: http://en.wikipedia.org/wiki/Partial_least_squares_regression
  [2]: http://cran.r-project.org/web/packages/spls/index.html
  [3]: http://cran.r-project.org/web/packages/mixOmics/index.html
