## [Good source of information about AMOVA](http://stats.stackexchange.com/questions/22094/good-source-of-information-about-amova)

There is a nice tutorial on [Analysis of Molecular Variance](http://userwww.sfsu.edu/~efc/classes/biol710/amova/amova.htm), by Peter Werner, which discusses the use of $F$- or $\phi$-statistics. You may also want to take a closer look at the following paper, for a more complete overview:

> Meirmans PG. Using the AMOVA framework to estimate a standardized
> genetic differentiation measure. *Evolution*. 2006
> **60(11)**:2399-402.

To add to Peter's response, there's a nice "add-on" to `ade4` for genetic data: [adegenet](http://adegenet.r-forge.r-project.org/), and AMOVA is also available in the [pegas](http://cran.r-project.org/web/packages/pegas/index.html) R package. 
