## [How hard is to convert a library from S-PLUS 8.0 to R?](http://stats.stackexchange.com/questions/3313/how-hard-is-to-convert-a-library-from-s-plus-8-0-to-r)

Your S+ functions should work in R, except if they have dependencies on some Libraries that are not currently supported on R (most of the time, it is the reverse, though). About your "global" variables, the easiest way is to use single assignment in your script file (although you can explicitely can write to the global environment from within a function, see `help("<<-")`, but this is not recommended), unless you plan to make an R package. In this case, you should look at the R documentation, [Writing R Extensions][1].

Maybe you can also take a look at [Using R and S-Plus together: The Best of Both Worlds][2]


  [1]: http://cran.r-project.org/doc/manuals/R-exts.html
  [2]: http://www.omegahat.org/RinS/Docs/overview.pdf
