## [What graphical techniques are used in Structural Equation Modeling?](http://stats.stackexchange.com/questions/570/what-graphical-techniques-are-used-in-structural-equation-modeling)

I worked with Laura Trinchera who contributed a nice R package for PLS-path modeling, [plspm][2]. It includes several graphical output for various kind of 2- and k-block data structures.

I just discovered the [plotSEMM][1] R package. It's more related to your second point, though, and is restricted to graphing bivariate relationships. 

As for recent references on diagnostic plot for SEMs, here are two papers that may be interesting (for the second one, I just browsed the abstract recently but cannot find an ungated version):

1. Sanchez BN, Houseman EA, and Ryan LM. [Residual-Based Diagnostics for Structural Equation Models][3]. *Biometrics* (2009) 65, 104–115
2. Yuan KH and Hayashi K. [Fitting data to model: Structural equation modeling diagnosis using two scatter plots][4], *Psychological Methods* (2010)


  [1]: http://www.bethanykok.com/plotSEMM.html
  [2]: http://cran.r-project.org/web/packages/plspm/
  [3]: http://deepblue.lib.umich.edu/bitstream/2027.42/65983/1/j.1541-0420.2008.01022.x.pdf
  [4]: http://www.ncbi.nlm.nih.gov/pubmed/20853955
