## [Calculation of incidence rate for epidemiological study in hospital](http://stats.stackexchange.com/questions/4539/calculation-of-incidence-rate-for-epidemiological-study-in-hospital)

It is commonly admitted that the denominator for IRs is the "population at risk" (i.e., all individuals in which the studied event(s) may occur). Although your first formula is generally used, I found in *The new public health*, by Tulchinsky and Varavikova (Elsevier, 2009, 2nd. ed., [p. 84][1]) that a distinction is made between *ordinary incidence rate*, where the average size of the population in the fixed period of time is used in the denominator, and *person-time incidence rate*, with PT at risk in the denominator.

Obviously, when individuals not at risk of the disease are included in the denominator, the resultant measure of disease frequency will underestimate the true incidence of disease in the population under investigation, but see [Numerators, denominators and populations at risk][2].


  [1]: http://books.google.fr/books?id=T2yQwTxRRfcC&pg=PA84&lpg=PA84&dq=incidence+rate+denominator&source=bl&ots=A3HGM26jbQ&sig=4-yAB3WHPLcMQHmiLRcseKASEsU&hl=fr&ei=FRjhTNegA4SGhQf-kYCLDQ&sa=X&oi=book_result&ct=result&resnum=2&ved=0CCYQ6AEwATgo#v=onepage&q=incidence%20rate%20denominator&f=false
  [2]: http://www.healthknowledge.org.uk/public-health-textbook/research-methods/1a-epidemiology/numerators-denominators-populations
