## [Correction due to rounding error](http://stats.stackexchange.com/questions/5159/correction-due-to-rounding-error)

I understand the question as one where we know the theoretical distribution of students height with some precision (i.e., with one decimal place). In the present case, this is a gaussian distribution with parameters $\mathcal{N}(174.5;6.9^2)$. 

Now, we have empirical measurements of students height on small samples ($n=25$), but results are rounded to the nearest integer due to possible measurement error or imperfect measurement device.

So, my understanding is that the question is really to assess $\Pr(X>176)$ or $\Pr(Z>\frac{176-174.5}{6.9})$ if you refer to the standardized $\mathcal{N}(0;1)$ distribution, and not $\Pr(X>176.5)$ as you suggested.
