## [Nonparametric Bayesian analysis in R](http://stats.stackexchange.com/questions/5160/nonparametric-bayesian-analysis-in-r)

Here are some online ressources I found interesting without going into detail (and I'm not a specialist of this topic):

* [Hierarchical Dirichlet Processes][1], by Teh et al. (2005)
* [Dirichlet Processes A gentle tutorial][2], by El-Arini (2008)
* [Bayesian Nonparametrics][3], by Rosasco (2010)
* [Non-parametric Bayesian Methods][4], by Ghahramani (2005)


The definitive reference seems to be

> N. Hjort, C. Holmes, P. Müller, and S.
> Walker, editors. *[Bayesian
> Nonparametrics][5]*. Number 28 in
> Cambridge Series in Statistical and
> Probabilistic Mathematics. Cambridge
> University Press, 2010.

About R, there seems to be some other packages worth to explore if the [DPpackage][6] does not suit your needs, e.g. [dpmixsim][7], [BHC][8], or [mbsc][9] found on [Rseek.org][10].


  [1]: http://www.cse.buffalo.edu/faculty/mbeal/papers/hdp.pdf
  [2]: http://www.cs.cmu.edu/~kbe/dp_tutorial.pdf
  [3]: http://www.mit.edu/~9.520/Classes/class21_dirichlet_2010.pdf
  [4]: http://learning.eng.cam.ac.uk/zoubin/talks/uai05tutorial-b.pdf
  [5]: http://www.cambridge.org/gb/knowledge/isbn/item2707877/?site_locale=en_GB
  [6]: http://cran.r-project.org/web/packages/DPpackage/index.html
  [7]: http://cran.r-project.org/web/packages/dpmixsim/
  [8]: http://www.bioconductor.org/help/bioc-views/release/bioc/html/BHC.html
  [9]: http://www.stat.washington.edu/hoff/Code/MBSC/
  [10]: http://www.rseek.org
