## [Get the number of parameters of a linear model](http://stats.stackexchange.com/questions/5525/get-the-number-of-parameters-of-a-linear-model)

Try something like:

    > x <- replicate(2, rnorm(100))
    > y <- 1.2*x[,1]+rnorm(100)
    > summary(lm.fit <- lm(y~x))
    > length(lm.fit$coefficients)
    [1] 3
    > # or
    > length(coef(lm.fit))
    [1] 3

You can have a better idea of what an R object includes with

    > str(lm.fit)
