## [Is there an anova procedure that doesn't assume equal variance?](http://stats.stackexchange.com/questions/7132/is-there-an-anova-procedure-that-doesnt-assume-equal-variance)

There is a function named `oneway.test()` in the base `stats` package, which implements Welch correction for a one-way ANOVA. Its use is similar to the standard `t.test()` function. It is also referred to as O'Brien transformation (Biometrics 40 (1984), 1079--1087) and might be applied with two or more independent samples (here is my [implementation][1], check if it is not too buggy!).


  [1]: http://www.aliquote.org/cours/2006_cogmaster_A4/cours/obrien2.R
