## [How to do a 'beer and diapers' correlation analysis](http://stats.stackexchange.com/questions/8013/how-to-do-a-beer-and-diapers-correlation-analysis)

In addition to the links that were given in comments, here are some further pointers:

* [Association rules and frequent itemsets](http://infolab.stanford.edu/~ullman/mining/assocrules.pdf)
* [Survey on Frequent Pattern Mining](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.93.791&rep=rep1&type=pdf) -- look around Table 1, p. 4

About Python, I guess now you have an idea of what you should be looking for, but the [Orange][1] data mining package features a package on [Association rules][2] and Itemsets (although for the latter I cannot found any reference on the website).

**Edit:**

I recently came across [pysuggest][3] which is 

> a Top-N recommendation engine that
> implements a variety of recommendation
> algorithms. Top-N recommender systems,
> a personalized information filtering
> technology, are used to identify a set
> of N items that will be of interest to
> a certain user. In recent years, top-N
> recommender systems have been used in
> a number of different applications
> such to recommend products a customer
> will most likely buy; recommend
> movies, TV programs, or music a user
> will find enjoyable; identify
> web-pages that will be of interest; or
> even suggest alternate ways of
> searching for information.


  [1]: http://orange.biolab.si/
  [2]: http://orange.biolab.si/doc/reference/associationRules.htm
  [3]: http://code.google.com/p/pysuggest/
