## [R: Choose factor level as dummy base in lm()](http://stats.stackexchange.com/questions/8254/r-choose-factor-level-as-dummy-base-in-lm)

You can use `relevel()` to change the baseline level of your factor. For instance, 

    > g <- gl(3, 2, labels=letters[1:3])
    > g
    [1] a a b b c c
    Levels: a b c
    > relevel(g, "b")
    [1] a a b b c c
    Levels: b a c
