## [Multidimensional scaling pseudo-code](http://stats.stackexchange.com/questions/9318/multidimensional-scaling-pseudo-code)

There are different kind of MDS (e.g., see this [brief review][1]). Here are two pointers:

* the [smacof][2] R package, developed by Jan de Leeuw and Patrick Mair has a nice vignette, [Multidimensional Scaling Using Majorization: SMACOF in R][3] (or see, the *Journal of Statistical Software* (2009) 31(3)) -- R code is available, of course.
* there are some handouts on [Multidimensional Scaling][4], by Forrest Young, where several algorithms are discussed (including INDSCAL (Individual Difference Scaling, or weighted MDS) and ALSCAL, with Fortran [source code][5] by the same author) -- this two keywords should help you to find other source code (mostly Fortran, C, or Lisp). 

You can also look for "Manifold learning" which should give you a lot of techniques for dimension reduction (Isomap, PCA, MDS, etc.); the term was coined by the Machine Learning community, among others, and they probably have a different view on MDS compared to psychometricians.


  [1]: http://forrest.psych.unc.edu/teaching/p208a/mds/mds.html
  [2]: http://cran.r-project.org/web/packages/smacof/index.html
  [3]: http://cran.r-project.org/web/packages/smacof/vignettes/smacof.pdf
  [4]: http://forrest.psych.unc.edu/teaching/p230/p230.html
  [5]: http://forrest.psych.unc.edu/research/alscal.html
