## [Implementations of the Random Forest algorithm](http://stats.stackexchange.com/questions/10001/implementations-of-the-random-forest-algorithm)

The [ELSII](http://www-stat.stanford.edu/~tibs/ElemStatLearn/) used [randomForest](http://cran.r-project.org/web/packages/randomForest/index.html) (see e.g., footnote 3 p.591), which is an R implementation of the Breiman and Cutler's [Fortran code](http://stat-www.berkeley.edu/users/breiman/RandomForests) from Salford. Andy Liaw's code is in C.

There's another implementation of RFs proposed in the [party](http://cran.r-project.org/web/packages/party/index.html) package (in C), which relies on R/Lapack, which has some dependencies on BLAS (see` /include/R_ext/Lapack.h` in your base R directory). 

As far as bagging is concerned, it should not be too hard to parallelize it, but I'll let more specialized users answer on this aspect.
