## [How to best display graphically type II (beta) error, power & sample size](http://stats.stackexchange.com/questions/14140/how-to-best-display-graphically-type-ii-beta-error-power-sample-size)

A few thoughts: (a) Use transparency, and (b) Allow for some interactivity.

Here is my take, largely inspired by a Java applet on [Type I and Type II Errors - Making Mistakes in the Justice System][1]. As this is rather pure drawing code, I pasted it as [gist #1139310](https://gist.github.com/1139310). 

Here is how it looks:

![enter image description here][2]

It relies on the [aplpack][3] package (slider and push button). So, basically, you can vary the deviation from the mean under $H_0$ (fixed at 0) and the location of the distribution under the alternative. Please note that there's no consideration of sample size.


  [1]: http://www.intuitor.com/statistics/T1T2Errors.html
  [2]: http://i.stack.imgur.com/DWIkr.png
  [3]: http://cran.r-project.org/web/packages/aplpack/index.html
